> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a message in a conversation



## OpenAPI

````yaml /openapi.json post /conversations/{conversationId}/messages
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /conversations/{conversationId}/messages:
    post:
      tags:
        - conversations
      summary: Send a message in a conversation
      operationId: ConversationController_sendConversationMessage
      parameters:
        - name: conversationId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendMessageBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendConversationMessageOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ConversationNotFoundErrorDto'
              examples:
                CONVERSATION_NOT_FOUND:
                  $ref: '#/components/schemas/ConversationNotFoundErrorDto'
          description: ''
components:
  schemas:
    SendMessageBody:
      type: object
      properties:
        content:
          type: string
        metadata:
          type: object
      required:
        - content
    SendConversationMessageOutput:
      type: object
      properties:
        userMessage:
          $ref: '#/components/schemas/ConversationMessageDto'
        assistantMessage:
          $ref: '#/components/schemas/ConversationMessageDto'
      required:
        - userMessage
        - assistantMessage
    ConversationNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CONVERSATION_NOT_FOUND
        message:
          type: string
          example: Conversation {id} not found
        details:
          $ref: '#/components/schemas/ConversationNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    ConversationMessageDto:
      type: object
      properties:
        id:
          type: string
        conversationId:
          type: string
        role:
          type: string
          enum:
            - USER
            - ASSISTANT
            - SYSTEM
        content:
          type: string
        model:
          type: string
        aiOperationId:
          type: string
        hasFeedback:
          type: boolean
        inputTokens:
          type: number
        outputTokens:
          type: number
        processingTimeMs:
          type: number
        source:
          type: string
        createdAt:
          type: string
      required:
        - id
        - conversationId
        - role
        - content
        - createdAt
    ConversationNotFoundDetailsDto:
      type: object
      properties:
        id:
          type: string
      required:
        - id

````